Bug 191139 - installer does not see SATA HDs attached to JMB360 chipset which in legacy mode
installer does not see SATA HDs attached to JMB360 chipset which in legacy mode
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On: 179216
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-05-09 00:21 EDT by Linda Wang
Modified: 2013-07-02 22:28 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 19:14:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Linda Wang 2006-05-09 00:21:05 EDT
+++ This bug was initially created as a clone of Bug #179216 +++

From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:

Using the install cdrom from the fedora download ftp site.  When you boot up
everything appears fine until the installer reports it is unable to locate any
harddisk on the system.(whatever set to IDE compatible or SATA mode in bios)

I have sucessfully installed FreeBSD on the same hardware (by IDE compatible
mode , AHCI mode doesn't).  

The chip set has 2 options in bios for this controller and all appear to have
the same result. Those options are SATA, and IDE compatible.

I apologize for not having actual things to cut and paste from the installer to
this page.

if there is any specific information you require I will type it here manually.

Below is more hardware specs

MB : ASROCK 939 DUAL SATA 2
Harddisk : Hitachi T7K250 250GB
SATA II Controller : JMB360 (set to IDE compatible mode from BIOS)



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.insert latest fedora core 4 bootable cdrom
2.turn on power
3.run installer until prompt no hdd found
  

Actual Results:  message will appear stating no HDs are found and it will offer
an option to select the driver from a list


Expected Results:  It should see the available HDs and allow the use of diskdruid



Additional info:

-- Additional comment from davej@redhat.com on 2006-02-03 00:39 EST --
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.


-- Additional comment from butz.tsai@msa.hinet.net on 2006-02-06 05:28 EST --
Created an attachment (id=124248)
dmesg

Could not find the HDD(HITACHI T7K250)connected to SATAII port of JMB360

-- Additional comment from butz.tsai@msa.hinet.net on 2006-02-06 05:31 EST --
We have updated kernel to 2.6.15-1.1830_FC4, but we could not still find HDD 
connected to SATAII port of JMB360.
Comment 4 Red Hat Bugzilla 2006-08-10 19:14:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.